Forum:AutoCAD ObjectARX und .NET
Thema:Name des VISUELLESTIL des VPORT = 5
Möchten Sie sich registrieren?
Wer darf antworten? Registrierte Benutzer können Beiträge verfassen.
Hinweise zur Registrierung Sie müssen registriert sein, um Beiträge oder Antworten auf Beiträge schreiben zu können.
Ihr Benutzername:
Ihr Kennwort:   Kennwort vergessen?
Anhang:    Datei(en) anhängen  <?>   Anhänge verwalten  <?>
Grafik für den Beitrag:                                                
                                                       
Ihre Antwort:

Fachbegriff
URL
Email
Fett
Kursiv
Durchgestr.
Liste
*
Bild
Zitat
Code

*HTML ist AUS
*UBB-Code ist AN
Smilies Legende
Netiquette

10 20 40

Optionen Smilies in diesem Beitrag deaktivieren.
Signatur anfügen: die Sie bei den Voreinstellungen angegeben haben.

Wenn Sie bereits registriert sind, aber Ihr Kennwort vergessen haben, klicken Sie bitte hier.

Bitte drücken Sie nicht mehrfach auf "Antwort speichern".

*Ist HTML- und/oder UBB-Code aktiviert, dann können Sie HTML und/oder UBB Code in Ihrem Beitrag verwenden.

T H E M A     A N S E H E N
Dirk.B

Beiträge: 532 / 0

AutoCAD 2019/2020
CAD+T 2020
HP ZBook 15 G4, 64-bit,
WIN 10 Pro

Hallo Klaus!

Sorry, dass ich mich erst jetzt bei dir melde.
Danke für deinen Beitrag.

Ich habe es für mich nun so gelöst und das funktioniert recht gut.

Speichern des aktuellen Wert / VISUELLESTIL in einer Variablen in einem Module (Module1):

Code:

Public Shared Sub get_old_visid()
    Dim MyApp As Autodesk.AutoCAD.Interop.AcadApplication = Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication
    Module1.OldVisID = System.Convert.ToInt32(MyApp.ActiveDocument.ActivePViewport.VisualStyle)
End Sub

Und anschließend setze ich den alten Wert wieder:

Code:

Public Shared Sub set_old_visid(ByVal VisID As Integer)
Dim NEWVSK As String = Nothing
Dim MyApp As Autodesk.AutoCAD.Interop.AcadApplication = _
Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication
Select Case VisID
Case 1                  '//;; = "2D Drahtkörper"
NEWVSK = "2DD"
Case 11                '//;; = "Drahtkörper"
NEWVSK = "DR"
Case 5                  '//;; = "Verdeckt"
NEWVSK = "V"
Case 6                  '//;; = "Realistisch"
NEWVSK = "R"
Case 4                  '//;; = "Konzeptuell"
NEWVSK = "K"
Case 7                  '//;; = "Schattiert"
NEWVSK = "S"
Case 8                  '//;; = "Schattierung mit Kante"
NEWVSK = "C"
Case 9                  '//;; = "Grautöne"
NEWVSK = "G"
Case 10                '//;; = "Skizzenhaft"
NEWVSK = "I"
Case 12                '//;; = "Röntgen"
NEWVSK = "Ö"
End Select
MyApp.ActiveDocument.SendCommand("vsa" & vbCr & NEWVSK & vbCr)
End Sub

------------------
Gruß

Dirk